@import '../../pages/views/scss/varies';
@import '../../pages/views/scss/mediaQueries';

th { 
    text-align: left;
    font-size: 13px;     font-weight: normal;     padding: 8px;    
    border-top: 4px #ccc;    border-bottom: 1px solid #ccc; color: #909090;
    
     
  
}
td { 
    font-weight: normal;     padding: 8px; 
    border-top: 4px #ccc;    border-bottom: 1px solid #ccc;
   
}
th.center, td.center { 
    text-align: left; 
  
}
td.referentLink { 
    text-align: left; 
    color: #D1124F; 
    font-family: $Roboto;
    font-weight: bold;
    cursor: pointer;
}
td.Procesamiento {
   
    text-align: left; 
    Background-color: $oraculus_kuler_fases-1-hex;
    width: 10%;
    font-family: $Roboto;
    font-weight: bold;
    
    
  
}
td.Recolección {
    text-align: center; 
    Background-color: #456E7B;
    color: #FFFFFF; 
    width: 10%;
     font-family: $Roboto;
    font-weight: bold;
    
}
td.Análisis {
    text-align: center; 
    Background-color: #5B29AD;
    color: #FFFFFF; 
    width: 10%;
     font-family: $Roboto;
    font-weight: bold;
    
}
td.Difusión {
    text-align: center; 
    Background-color: #FF3E7D;
    color: #FFFFFF; 
    width: 10%;
     font-family: $Roboto;
    font-weight: bold;
    
}
th.num, td.num { 
    text-align: right;
}
#Procesamiento{
     width: 24px;
     height: 24px;
     background: url('../tablePhase/resources/spriteIcos_fases.png');
     background-position: 0px 0px;
   
}
#Recolección {
    width: 24px;
    height: 24px;
    background: url('../tablePhase/resources/spriteIcos_fases.png');
    background-position: 0px 24px;
}
#Análisis {
    width: 24px;
    height: 24px;
    background: url('../tablePhase/resources/spriteIcos_fases.png');
    background-position: 0px -24*2px;
}
#Difusión {
    width: 24px;
    height: 24px;
    background: url('../tablePhase/resources/spriteIcos_fases.png');
    background-position: 0px -24*3px;
}

#Atrasado{
    background: url('../tablePhase/resources/alert_icon.png'); 
    background-repeat: no-repeat;
    background-position: left;
}

.referentLink a { 
    text-align: left; 
    color: #D1124F; 
    font-family: $Roboto;
    font-weight: bold;
    cursor: pointer;
}


//responsive styles

th.des:after {
    content: "\21E9";
  }
  
  th.aes:after {
    content: "\21E7";
  }
  
  /* 
  Max width before this PARTICULAR table gets nasty
  This query will take effect for any screen smaller than 760px
  and also iPads specifically.
  */

  @media only screen and (min-width: 1200px) {
   
    th { 
        text-align: left;
        font-size: 13px;     font-weight: normal;     padding: 8px;    
        border-top: 4px #ccc;    border-bottom: 1px solid #ccc; color: #909090;
        
         
      
    }
    td { 
        font-weight: normal;     padding: 8px; 
        border-top: 4px #ccc;    border-bottom: 1px solid #ccc;
       
    }
    th.center, td.center { 
        text-align: left; 
      
    }
    td.referentLink { 
        text-align: left; 
        color: #D1124F; 
    }
    td.Procesamiento {
       
        text-align: left; 
        Background-color: $oraculus_kuler_fases-1-hex;
        width: 15%;
        
      
    }
    td.Recolección {
        text-align: center; 
        Background-color: #456E7B;
        color: #FFFFFF; 
        width: 10%;
    }
    td.Análisis {
        text-align: center; 
        Background-color: #5B29AD;
        color: #FFFFFF; 
        width: 10%;
    }
    td.Difusión {
        text-align: center; 
        Background-color: #FF3E7D;
        color: #FFFFFF; 
        width: 15%;
    }
    th.num, td.num { 
        text-align: right;
    }
    #Procesamiento{
         width: 24px;
         height: 24px;
         background: url('../tablePhase/resources/spriteIcos_fases.png');
         background-position: 0px 0px;
       
    }
    #Recolección {
        width: 24px;
        height: 24px;
        background: url('../tablePhase/resources/spriteIcos_fases.png');
        background-position: 0px 24px;
    }
    #Análisis {
        width: 24px;
        height: 24px;
        background: url('../tablePhase/resources/spriteIcos_fases.png');
        background-position: 0px -24*2px;
    }
    #Difusión {
        width: 24px;
        height: 24px;
        background: url('../tablePhase/resources/spriteIcos_fases.png');
        background-position: 0px -24*3px;
    }
    


  }

  
  @media 
  only screen and (max-width: 760px),
  (min-device-width: 768px) and (max-device-width: 768px)  {
  
      /* Force table to not be like tables anymore */
      table, thead, tbody, th, td, tr { 
          display: block; 
      }
      
      /* Hide table headers (but not display: none;, for accessibility) */
      thead tr { 
          position: absolute;
          top: -9999px;
          left: -9999px;
      }
      
      tr { border: 1px solid #ccc; }
      
      td { 
          /* Behave  like a "row" */
          border: none;
          border-bottom: 1px solid #eee; 
          position: relative;
          padding-left: 50%; 
      }
      
      td:before { 
          /* Now like a table header */
          position: absolute;
          /* Top/left values mimic padding */
          top: 6px;
          left: 6px;
          width: 45%; 
          padding-right: 10px; 
          white-space: nowrap;
      }
      
      /*
      Label the data
      */
      td:before {
        content: attr(data-th) ": ";
        font-weight: bold;
        width: 6.5em;
        display: inline-block;
      }
  }
  
  /* Smartphones (portrait and landscape) ----------- */
  @media only screen
  and (min-device-width : 320px)
  and (max-device-width : 480px) {
      body { 
          padding: 0; 
          margin: 0; 
          width: 320px; }
      }
  
  /* iPads (portrait and landscape) ----------- */
  @media only screen and (min-device-width: 768px) and (max-device-width: 1024px) {
      body { 
          width: 495px; 
      }
  }